Bug 132452 - macro recursion
Summary: macro recursion
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-13 16:36 UTC by Elliot Lee
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-21 12:13:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2004-09-13 16:36:35 UTC
rpmbuild --define 'distribution FooLinux'

macros file contains:
%distribution %{?distribution}%{!?distribution:Red Hat Linux}

This caused an infinite loop in macro expansion for your build of rpm.

Comment 1 Jeff Johnson 2006-01-21 12:13:45 UTC
The loop was not infinite, recursion was detected and stopped at 16 levels.

There's little reason to test for macro being set within the macro expansion:

Doing
    %distribution Red Hat Linux
should override naturally with
    --define 'distribution FooLinux'


Note You need to log in before you can comment on or make changes to this bug.